SoftRAID OS compatibility chart

Mac   Windows

SoftRAID 6 is coming soon. SoftRAID 6 will be fully compatible with APFS disks and volumes and you will be able to create and manage APFS volumes. If you are interested in finding out more about SoftRAID 6.0 beta please contact our development team.

Mac

Mac OS
Version
SoftRAID
version
SoftRAID and macOS informationLearn more

10.15 Catalina
5.8.4

SoftRAID 5.8.1 is required for macOS 10.15, Catalina

Catalina prevents the SoftRAID driver from being installed or updated when Secure Boot, (System Startup Security) is enabled.


10.14 Mojave
5.8.4Updating to Mojave? Read this first!

SoftRAID versions before 5.7 not compatible with macOS 10.14

APFS volumes not yet supported. APFS support coming in SoftRAID 6.


10.13 High Sierra
5.8.4

SoftRAID versions before 5.6.3 not compatible with macOS 10.13

Learn more about High Sierra and SoftRAID


10.12 Sierra
5.8.4

SoftRAID versions before 5.6 not compatible with macOS 10.12

Learn more about Sierra and SoftRAID


10.11 El Capitan
5.8.4

SoftRAID versions before 5.0.7 not compatible with macOS 10.11

Learn more about El Capitan and SoftRAID


10.10 Yosemite
5.8.3

SoftRAID versions before 5.0.7 not compatible with macOS 10.10

Learn more about Yosemite and SoftRAID


10.9 Mavericks
5.8.1

SoftRAID versions before ????? not compatible with macOS 10.9

Learn more about Mavericks and SoftRAID


10.8 Mountain Lion
5.8.1

SoftRAID versions before ????? not compatible with macOS 10.8

Learn more about Mountain Lion and SoftRAID

Please note: If you are still using SoftRAID 4, the latest compatible OS X you can use is 10.9 Mavericks.To use a more recent macOS, you will need to upgrade to SoftRAID 5. Please purchase an upgrade here.

Windows

Windows OS
Version
SoftRAID
version
SoftRAID and Windows informationLearn more

Windows 10
1.0